"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.initSDK = initSDK;
exports.multiply = multiply;
exports.setEventNameProperties = setEventNameProperties;
var _reactNative = require("react-native");
const LINKING_ERROR = `The package 'react-native-module-for-testing' doesn't seem to be linked. Make sure: \n\n` + _reactNative.Platform.select({
  ios: "- You have run 'pod install'\n",
  default: ''
}) + '- You rebuilt the app after installing the package\n' + '- You are not using Expo Go\n';
const ModuleForTesting = _reactNative.NativeModules.ModuleForTesting ? _reactNative.NativeModules.ModuleForTesting : new Proxy({}, {
  get() {
    throw new Error(LINKING_ERROR);
  }
});
function multiply(a, b) {
  return ModuleForTesting.multiply(a, b);
}
function initSDK() {
  return ModuleForTesting.initSDK();
}
function setEventNameProperties(s) {
  return ModuleForTesting.setEventNameProperties(s);
}
//# sourceMappingURL=index.js.map